/****************************************************************************************/

#include <stdio.h>
#include "invsubs.h"


/****************************************************************************/


/****************************************************************************/
/* For flexibility, this is isolated into a function */
/* I assume that the file is opened and closed in the main program */
/****************************************************************************/
struct OBSERVATION ReadAnObservation(FILE *fd0)
{
	int n;
	
	struct OBSERVATION anObservation;
	n = fscanf(fd0, "%s %f %f %f %f %f %f %f", 
	       &anObservation.event_id[0],
	       &anObservation.evlat,
	       &anObservation.evlon,
	       &anObservation.stlat,
	       &anObservation.stlon,
	       &anObservation.phs_velocity,
	       &anObservation.period,
	       &anObservation.weight);
/*
	 printf( "%s %f %f %f %f %f %f %f\n", 
	       anObservation.event_id,
	       anObservation.evlat,
	       anObservation.evlon,
	       anObservation.stlat,
	       anObservation.stlon,
	       anObservation.phs_velocity,
	       anObservation.period,
	       anObservation.weight);
*/

	if(n != 8) {
		printf("Problem in ReadAnObservtion\n");
	}
	
	return (anObservation);
}

